Update customer contact

PUT /api/v1/customers/{customer_id}/contacts/{contact_id}

Update an existing customer contact.

Operation ID: update_contact_api_v1_customers__customer_id__contacts__contact_id__put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

customer_id string required
contact_id string required

Request body

name string

Updated contact name.

email string · email

Updated email address.

phone string

Updated phone number.

role string

Updated role.

is_primary boolean

Set as primary contact.

notes string

Updated notes.

Responses

200 Successful Response

id string required

Contact UUID.

entity_type string required

Type of parent entity.

entity_id string required

Parent entity UUID.

name string required

Contact name.

email string

Contact email.

phone string

Contact phone.

role string

Contact role.

is_primary boolean

Whether this is the primary contact.

notes string

Notes about this contact.

created_at string · date-time required

Creation timestamp.

updated_at string · date-time required

Last update timestamp.

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object